Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQDomNodeList Class Reference
[XML module]

The TQDomNodeList class is a list of TQDomNode objects. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqdom.h>`

List of all member functions.

## Public Members

- TQDomNodeList ()
- TQDomNodeList ( const TQDomNodeList & n )
- TQDomNodeList & operator= ( const TQDomNodeList & n )
- bool operator== ( const TQDomNodeList & n ) const
- bool operator!= ( const TQDomNodeList & n ) const
- virtual ~TQDomNodeList ()
- virtual TQDomNode item ( int index ) const
- virtual uint length () const
- uint count () const

## Detailed Description

The TQDomNodeList class is a list of TQDomNode objects.

Lists can be obtained by TQDomDocument::elementsByTagName() and TQDomNode::childNodes(). The Document Object Model (DOM) requires these lists to be "live": whenever you change the underlying document, the contents of the list will get updated.

You can get a particular node from the list with item(). The number of items in the list is returned by count() (and by length()).

For further information about the Document Object Model see http://www.w3.org/TR/REC-DOM-Level-1/ and http://www.w3.org/TR/DOM-Level-2-Core/. For a more general introduction of the DOM implementation see the TQDomDocument documentation.

See also TQDomNode::childNodes(), TQDomDocument::elementsByTagName(), and XML.

## Member Function Documentation

### TQDomNodeList::TQDomNodeList ()

Creates an empty node list.

### TQDomNodeList::TQDomNodeList ( const TQDomNodeList & n )

Constructs a copy of n.

### TQDomNodeList::~TQDomNodeList ()`[virtual]`

Destroys the object and frees its resources.

### uint TQDomNodeList::count () const

Returns the number of nodes in the list.

This function is the same as length().

### TQDomNode TQDomNodeList::item ( int index ) const`[virtual]`

Returns the node at position index.

If index is negative or if index >= length() then a null node is returned (i.e. a node for which TQDomNode::isNull() returns TRUE).

See also count().

### uint TQDomNodeList::length () const`[virtual]`

Returns the number of nodes in the list.

This function is the same as count().

### bool TQDomNodeList::operator!= ( const TQDomNodeList & n ) const

Returns TRUE the node list n and this node list are not equal; otherwise returns FALSE.

### TQDomNodeList & TQDomNodeList::operator= ( const TQDomNodeList & n )

Assigns n to this node list.

### bool TQDomNodeList::operator== ( const TQDomNodeList & n ) const

Returns TRUE if the node list n and this node list are equal; otherwise returns FALSE.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.